<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
|This program is released as free software    |
|under the |Affero GPL license. 	      |
|You can redistribute it and/or		      |
|modify it under the terms of this license    |
|which you |can read by viewing the included  |
|agpl.html or online			      |
|at www.gnu.org/licenses/agpl.html. 	      |
|Removal of this|copyright header is strictly |
|prohibited without |written permission from  |
|the original author(s).		      |
+---------------------------------------------+
|Kroax is written by Domi & fetloser          |
|http://www.venue.nu			      |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!defined("LANGUAGE")) {
// PHPFusion environment
$this_lang =  str_replace("/", "", LOCALESET);
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
        } else {
// mFusion environment
$this_lang =  LANGUAGE;
	if (file_exists(INFUSIONS."the_kroax/locale/".$this_lang.".php")) {
	   include INFUSIONS."the_kroax/locale/".$this_lang.".php";
	} else {
	   include INFUSIONS."the_kroax/locale/English.php";
	}
}


require('functions.php');

opentable($locale['KROAX201']);

makeheader();

echo "<div id = 'lajv'>";
if (!isset($sortby) || !preg_match("/^[0-9A-Z]$/", $sortby)) $sortby = "all";

$orderby = ($sortby == "all" ? "" : " AND kroax_titel LIKE '$sortby%'");
$result = dbquery("SELECT * FROM ".$db_prefix."kroax WHERE ".groupaccess('kroax_access')." AND ".groupaccess('kroax_access_cat')." ".$orderby."");
$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if ($rows != 0) {
 }

 echo'
<SCRIPT LANGUAGE=JAVASCRIPT TYPE="TEXT/JAVASCRIPT">
<!--Hide script from old browsers
function confirmreport() {
return confirm("'.$locale['KROAX108'].'")
}
//Stop hiding script from old browsers -->
</SCRIPT>';

$read_settingskroax = dbquery("SELECT * FROM ".$db_prefix."kroax_set");
if (dbrows($read_settingskroax) != 0) {
$settingskroax = dbarray($read_settingskroax);
$skroaxembed = $settingskroax['kroax_set_show'];
}

$resultset = dbquery("SELECT * FROM ".$db_prefix."kroax_set WHERE kroax_set_id='1'");
while ($dataset = dbarray($resultset)) {
$moviepage ="".$dataset['kroax_set_pre']."";
$height = "".$dataset['kroax_set_hi']."";
$width = "".$dataset['kroax_set_wi']."";

}

$result = dbquery("SELECT * FROM ".$db_prefix."kroax WHERE ".groupaccess('kroax_access')." AND ".groupaccess('kroax_access_cat')." ".$orderby." ORDER BY kroax_titel ASC LIMIT $rowstart,$moviepage");
while ($data = dbarray($result)) {
makelist();
}

if ($rows > $moviepage) echo "<div align='center' style='margin-top:5px;'>".makepagenav($rowstart,$moviepage,$rows,3,FUSION_SELF."?sortby=$sortby&amp;")."\n</div>\n";
echo "<center><br>\n".$locale['KROAX223']." <b>$sortby<b><br><br>\n</center>\n";

$search = array(
"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);
echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['KROAX202']."</a></td>";
for ($i=0;$i < 39!="";$i++) {
echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
echo ($i==19 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['KROAX202']."</a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</table>\n";
echo "</div>";
closetable();
echo "<br>";
require_once "footer.php";
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>